<?php
/**
 * constructionicon_lite functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package constructionicon_lite
 */


	$constructionicon_lite_theme_path = get_template_directory() . '/inc/icon/';

	require( $constructionicon_lite_theme_path . '/constructionicon-custom-navwalker.php' );
	require( $constructionicon_lite_theme_path . '/font/font.php');

	/*-----------------------------------------------------------------------------------*/
	/*	Enqueue scripts and styles.
	/*-----------------------------------------------------------------------------------*/
	require( $constructionicon_lite_theme_path .'/enqueue.php');
	/* ----------------------------------------------------------------------------------- */
	/* Customizer */
	/* ----------------------------------------------------------------------------------- */
	
	require( $constructionicon_lite_theme_path . '/customize/ta_customize_top_header.php');
	require( $constructionicon_lite_theme_path . '/customize/ta_customize_header.php');
	require( $constructionicon_lite_theme_path . '/customize/ta_customize_homepage.php');
	require( $constructionicon_lite_theme_path . '/customize/ta_customize_copyright.php');
	require( $constructionicon_lite_theme_path . '/customize/ta_customize_pro.php');
	require( $constructionicon_lite_theme_path . '/customize/customize_control/class-constructionicon-customize-alpha-color-control.php');
	require_once( get_template_directory() . '/wp-pre-image/demo-priview.php' );
	
	
if ( ! function_exists( 'constructionicon_lite_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function constructionicon_lite_setup() {
	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on constructionicon_lite, use a find and replace
	 * to change 'construction-icon-lite' to the name of your theme in all the template files.
	 */
	load_theme_textdomain( 'construction-icon-lite', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */
	add_theme_support( 'title-tag' );

	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
	 */
	add_theme_support( 'post-thumbnails' );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary' => __('Primary menu','construction-icon-lite' ),
        'footer' => __('Footer Menu','construction-icon-lite' ),
	) );

	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );
	
	//Custom Logo
	add_theme_support( 'custom-logo');

	function constructionicon_lite_the_custom_logo() {
	
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}

	}

	add_filter('get_custom_logo','constructionicon_lite_logo_class');


	function constructionicon_lite_logo_class($html)
	{
	$html = str_replace('custom-logo-link', 'navbar-brand', $html);
	return $html;
	}

	/*
	 * Enable support for Post Formats.
	 * See https://developer.wordpress.org/themes/functionality/post-formats/
	 */
	add_theme_support( 'post-formats', array(
		'aside',
		'image',
		'video',
		'quote',
		'link',
	) );

	// Set up the WordPress core custom background feature.
	add_theme_support( 'custom-background', apply_filters( 'constructionicon_lite_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );

    // Set up the woocommerce feature.
    add_theme_support( 'woocommerce');

}
endif;
add_action( 'after_setup_theme', 'constructionicon_lite_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function constructionicon_lite_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'constructionicon_lite_content_width', 640 );
}
add_action( 'after_setup_theme', 'constructionicon_lite_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function constructionicon_lite_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'construction-icon-lite' ),
		'id'            => 'sidebar-1',
		'description'   => '',
		'before_widget' => '<div id="%1$s" class="ta-widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h6>',
		'after_title'   => '</h6>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Widget Area', 'construction-icon-lite' ),
		'id'            => 'footer_widget_area',
		'description'   => '',
		'before_widget' => '<div id="%1$s" class="col-md-3 col-sm-6 rotateInDownLeft animated ta-widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h6>',
		'after_title'   => '</h6>',
	) );
}
add_action( 'widgets_init', 'constructionicon_lite_widgets_init' );

function constructionicon_lite_enqueue_customizer_controls_styles() {
  wp_register_style( 'constructionicon_lite-customizer-controls', get_template_directory_uri() . '/css/customizer-controls.css', NULL, NULL, 'all' );
  wp_enqueue_style( 'constructionicon_lite-customizer-controls' );
  }
add_action( 'customize_controls_print_styles', 'constructionicon_lite_enqueue_customizer_controls_styles' );


/* Custom template tags for this theme. */
require get_template_directory() . '/inc/icon/template-tags.php';

/*Load Jetpack compatibility file. */
require get_template_directory() . '/inc/jetpack.php';

/* custom-color file. */
require( get_template_directory() . '/css/colors/custom-color.php');

//Read more Button on slider & Post
function constructionicon_lite_read_more() {
	
	global $post;
	
	$readbtnurl = '<a class="btn btn-tislider-two" href="' . get_permalink() . '">'.__('Read More','construction-icon-lite').'</a>';
	
    return $readbtnurl;
}
add_filter( 'the_content_more_link', 'constructionicon_lite_read_more' );

/**
 * Filter the "read more" excerpt string link to the post.
 *
 * @param string $more "Read more" excerpt string.
 * @return string (Maybe) modified "read more" excerpt string.
 */
function constructionicon_lite_excerpt_more( $more ) {
    return sprintf( '<a class="read-more" href="%1$s">%2$s</a>',
        get_permalink( get_the_ID() ),
        __( ' Read More', 'construction-icon-lite' )
    );
}
add_filter( 'excerpt_more', 'constructionicon_lite_excerpt_more' );

/**
 * Filter the except length to 20 words.
 *
 * @param int $length Excerpt length.
 * @return int (Maybe) modified excerpt length.
 */
function constructionicon_lite_excerpt_length( $length ) {
    return 20;
}
add_filter( 'excerpt_length', 'constructionicon_lite_excerpt_length', 999 );