<?php
function constructionicon_lite_homepage_setting( $wp_customize ) {

	/* Option list of all post */  
    $options_posts = array();
    $options_posts_obj = get_posts('posts_per_page=-1');
    $options_posts[''] = __( 'Choose Post', 'construction-icon-lite' );
    foreach ( $options_posts_obj as $posts ) {
        $options_posts[$posts->ID] = $posts->post_title;
    }   

			$wp_customize->add_panel( 'homepage_setting', array(
                'priority'       => 450,
                'capability'     => 'edit_theme_options',
                'title'      => __('Frontpage Section Settings', 'construction-icon-lite'),
				'description' => __('Firstly create a page and assign homepage template then set your homepage ','construction-icon-lite'),
            ) );

            /* --------------------------------------
            =========================================
            Slider Section
            =========================================
            -----------------------------------------*/ 
            $wp_customize->add_section(
                'constructionicon_lite_slider_section_settings', array(
                'title' => __('Slider Setting','construction-icon-lite'),
                'description' => '',
                'panel'  => 'homepage_setting',
            ) );
            
            
            //Enable slider
            $wp_customize->add_setting(
                'constructionicon_lite_slider_enable', 
				array(
                'capability'     => 'edit_theme_options',
                'sanitize_callback' => 'constructionicon_lite_homepage_sanitize_checkbox',
            ) );    
            $wp_customize->add_control( 
                'constructionicon_lite_slider_enable', array(
                'label'   => __('Enable Slider Section','construction-icon-lite'),
                'section' => 'constructionicon_lite_slider_section_settings',
                'type' => 'checkbox',
            ) );
            
            //Select Post One
            $wp_customize->add_setting('slider_post_one',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('slider_post_one',array(
                'label' => __('Select Post One','construction-icon-lite'),
                'section'=>'constructionicon_lite_slider_section_settings',
                'type'=>'select',
                'choices'=>$options_posts,
            ));
            
            //Select Post Two
            $wp_customize->add_setting('slider_post_two',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('slider_post_two',array(
                'label' => __('Select Post Two','construction-icon-lite'),
                'section'=>'constructionicon_lite_slider_section_settings',
                'type'=>'select',
                'choices'=>$options_posts,
            ));
            
            //Select Post Three
            $wp_customize->add_setting('slider_post_three',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('slider_post_three',array(
                'label' => __('Select Post Three','construction-icon-lite'),
                'section'=>'constructionicon_lite_slider_section_settings',
                'type'=>'select',
                'choices'=>$options_posts,
            ));
			
			
			class fianceup_slider_Customize_Control extends WP_Customize_Control {
				
				public $type = 'new_menu';
				public function render_content() {
				?>
				<p>
				<?php _e('How to create a slider :- First, when you create a post, upload the slider title, slider descritpion or image to the post,Then, if you have created a slider post, get it selected here','construction-icon-lite'); ?>
				</p>
				<?php
				}
			}
			
			$wp_customize->add_setting('slider_widget',	array(
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field',
			) );
			
			$wp_customize->add_control( new fianceup_slider_Customize_Control( $wp_customize, 'slider_widget', array(	
				'section' => 'constructionicon_lite_slider_section_settings',
			) )	);
		  

		    /* --------------------------------------
		    =========================================
		    Latest News Section
		    =========================================
		    -----------------------------------------*/
		    // add section to manage Latest News
		    $wp_customize->add_section(
		    	'news_section_settings', array(
		        'title' => __('Blog & News Setting','construction-icon-lite'),
		        'description' => '',
		        'panel'  => 'homepage_setting'
		    ) );

            //Enable news
            $wp_customize->add_setting(
                'constructionicon_lite_news_enable', array(
                'capability'     => 'edit_theme_options',
                'sanitize_callback' => 'constructionicon_lite_homepage_sanitize_checkbox',
            ) );    
            $wp_customize->add_control( 
                'constructionicon_lite_news_enable', array(
                'label'   => __('Enable News Section','construction-icon-lite'),
                'section' => 'news_section_settings',
                'type' => 'checkbox',
            ) );

		    //Latest News Background Image
		    $wp_customize->add_setting( 
		    	'news_background', array(
		    	'sanitize_callback' => 'constructionicon_lite_sanitize_image',
		    ) );
		    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 
		    	'news_background', array(
		    	'label'    => __( 'Choose Background Image', 'construction-icon-lite' ),
		    	'section'  => 'news_section_settings',
		    	'settings' => 'news_background', ) 
		    ) );

		   
		   $wp_customize->add_setting(
		    	'constructionicon_lite_overlay_news_color_control', array(
				'sanitize_callback' => 'sanitize_text_field',
				
		    ) );	
            
            $wp_customize->add_control(new ConstructionIcon_Customize_Alpha_Color_Control( $wp_customize,'constructionicon_lite_overlay_news_color_control', array(
               'label'      => __('Choose Background Overlay Color', 'construction-icon-lite' ),
                'palette' => true,
                'section' => 'news_section_settings')
            ) );
			
			
		   
		   
			// Latest News Title Setting
		    $wp_customize->add_setting(
		    	'constructionicon_lite_news_title', array(
		        'capability'     => 'edit_theme_options',
		        'sanitize_callback' => 'constructionicon_lite_homepage_sanitize_text',
		    ) );	
		    $wp_customize->add_control( 
		    	'constructionicon_lite_news_title',array(
		    	'label'   => __('Latest News Title','construction-icon-lite'),
		    	'section' => 'news_section_settings',
		    	'type' => 'text',
		    ) );

		    // Latest News Subtitle Setting
		    $wp_customize->add_setting(
		    	'constructionicon_lite_news_subtitle', array(
		        'capability'     => 'edit_theme_options',
		        'sanitize_callback' => 'constructionicon_lite_homepage_sanitize_text',
		    ) );  
		    $wp_customize->add_control( 
		    	'constructionicon_lite_news_subtitle',array(
		    	'label'   => __('Latest News Subtitle','construction-icon-lite'),
		    	'section' => 'news_section_settings',
		    	'type' => 'textarea',
		    ) );
			
			
	function constructionicon_lite_homepage_sanitize_text( $input ) {

    return wp_kses_post( force_balance_tags( $input ) );

	}
	
	
	function constructionicon_lite_homepage_sanitize_checkbox( $input ) {
	// Boolean check 
	return ( ( isset( $input ) && true == $input ) ? true : false );
	}
	
	function constructionicon_lite_sanitize_image( $image, $setting ) {
	/*
	 * Array of valid image file types.
	 *
	 * The array includes image mime types that are included in wp_get_mime_types()
	 */
    $mimes = array(
        'jpg|jpeg|jpe' => 'image/jpeg',
        'gif'          => 'image/gif',
        'png'          => 'image/png',
        'bmp'          => 'image/bmp',
        'tif|tiff'     => 'image/tiff',
        'ico'          => 'image/x-icon'
    );
	// Return an array with file extension and mime_type.
    $file = wp_check_filetype( $image, $mimes );
	// If $image has a valid mime_type, return it; otherwise, return the default.
    return ( $file['ext'] ? $image : $setting->default );
}
}
add_action( 'customize_register', 'constructionicon_lite_homepage_setting' );
?>